Inspect proposed language, noise, algorithm, and provider programs together with the exact review roles that still block implementation.
00
10 proposed RFCs · 58 pending reviews
This queue is read-only review preparation. Opening it, passing CI, or merging an RFC does not approve a decision, create an executable capability, or authorize implementation.
Loading the RFC decision registry…
01
10 RFC programs shown.
NM-RFC-0034ProposedImplementation locked
Static XOR-to-phase oracle adapters
Language and tooling · revision 2 · 2026-08-12
0/6 approved
Program priority
Priority 1
Proposed activation
experimental.oracleAdapters=true
Implementation gate
Section 13
Dependencies
NM-RFC-0002, NM-RFC-0010, NM-RFC-0015
Executable surface
Absent by contract
Required named reviews
Language ownerPending
Normative decision:static declaration and `using` resource grammar
Type-system ownerPending
Normative decision:linear minus/source-work ownership, aliasing, and escape rules
Compiler ownerPending
Normative decision:monomorphization, dual resource threading, and identity
Verification ownerPending
Normative decision:full matrix, sign, phase, and restoration checks
Security ownerPending
Normative decision:package/artifact readers, allocation bounds, and timeout
Product ownerPending
Normative decision:non-runnable proposal wording and ready-range disclosure
A local action is not approval; the RFC review record is authoritative.